Page 1 of 4 123 ... LastLast
Results 1 to 10 of 39

Thread: cannot run Scilab

  1. #1
    Join Date
    Dec 2013
    Location
    Near México City
    Posts
    154

    Default cannot run Scilab

    Hola
    I just made a clean install in a new laptop of opensuse 13.1 and began adding the programs that I normally use. I have Scilab running in another machine but can't get it working in this laptop.
    According to the "Readme" file, all you need to do is to untar the tarball and, in command line, type (after moving to the Scilab directory):
    ./bin/scilab
    When I do that I obtain this reply:
    scilab-bin: /home/antonio/scilab/lib/thirdparty/libz.so.1: version `ZLIB_1.2.3.4' not found (required by /usr/lib64/libpng16.so.16)

    I already checked that the library is installed in the system, nonetheless the message keeps showing.

    Any help will be greatly appreciated

  2. #2

    Default Re: cannot run Scilab

    On 12/11/2013 08:16 AM, jazmiel pecked at the keyboard and wrote:
    > Hola
    > I just made a clean install in a new laptop of opensuse 13.1 and began
    > adding the programs that I normally use. I have Scilab running in
    > another machine but can't get it working in this laptop.
    > According to the "Readme" file, all you need to do is to untar the
    > tarball and, in command line, type (after moving to the Scilab
    > directory):
    > ../bin/scilab
    > When I do that I obtain this reply:
    > SCILAB-BIN: /HOME/ANTONIO/SCILAB/LIB/THIRDPARTY/LIBZ.SO.1: VERSION
    > `ZLIB_1.2.3.4' NOT FOUND (REQUIRED BY /USR/LIB64/LIBPNG16.SO.16)
    > I already checked that the library is installed in the system,
    > nonetheless the message keeps showing.
    >
    > Any help will be greatly appreciated
    >
    >


    You might try the version for 12.3 found here:

    Code:

    http://software.opensuse.org/package/scilab


    Ken

  3. #3
    Join Date
    Dec 2013
    Location
    Near México City
    Posts
    154

    Default Re: cannot run Scilab

    Hi
    First of all, thanks for your reply
    The link is not working. I mean, if i "click" on it, nothing happens
    I downloaded version scilab-5.3.3 from its homepage and i receive the very same message as before
    what can i do?



    Quote Originally Posted by kensch View Post
    On 12/11/2013 08:16 AM, jazmiel pecked at the keyboard and wrote:


    You might try the version for 12.3 found here:

    Code:

    software.opensuse.org:


    Ken

  4. #4
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: cannot run Scilab

    On 2013-12-12 02:16, jazmiel wrote:
    >
    > Hi
    > First of all, thanks for your reply
    > The link is not working. I mean, if i "click" on it, nothing happens


    It is a link for reading, mostly. You can try the "1 click install" link
    further on.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 12.3 x86_64 "Dartmouth" at Telcontar)

  5. #5
    Join Date
    Dec 2013
    Location
    Near México City
    Posts
    154

    Default Re: cannot run Scilab

    Hola
    I did the one-click install; moved to the directory where it was deposited (/usr/bin/scilab) and when i type 'scilab' to execute the program i get this message:

    /usr/bin/scilab-bin: error while loading shared libraries: libtk8.5.so: cannot open shared object file: No such file or directory

    I donot know how to solve this. I wonder if this has to do anything with opensuse 13.1. I mean, I installed Scilab in Linux Mint Debian without any issue and is running as expected. Maybe, I think, I have to wait for a newer version of Scilab so it can run in opensuse. Am I right?

    Anyway, I thank you very much your time, advice and support

    Saludos


    Quote Originally Posted by robin_listas View Post
    On 2013-12-12 02:16, jazmiel wrote:


    It is a link for reading, mostly. You can try the "1 click install" link
    further on.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 12.3 x86_64 "Dartmouth" at Telcontar)

  6. #6
    Join Date
    Apr 2010
    Location
    Brazil - MG
    Posts
    59

    Default Re: cannot run Scilab

    I had the same problem with openSUSE 13.1 and Scilab 5.4.1 and 5.3.3.

    The 5.4.1 worked fine in openSUSE 12.2...

    There is the bug #13145 in https://bugzilla.scilab.org/, but I have tried the solution indicated there without success.

    Hope someone find a solution.

  7. #7

    Default Re: cannot run Scilab

    Hi,

    Scilab-5.4.1 can be installed by adding my repo scilab2014 for openSUSE-13.1 as follow

    OR

    by using YaST

    Hope to it is useful.

    Ibrahim

    ierturk [at] ieee.org - www.progeltd.com

  8. #8
    Join Date
    Sep 2012
    Location
    Canada
    Posts
    112

    Default Re: cannot run Scilab

    Quote Originally Posted by ierturk
    Hope to it is useful.
    It is (at least for me). Nice job ierturk!

    Thanks,
    Kalten

  9. #9

    Default Re: cannot run Scilab

    @Jazmiel:
    Perhaps they were indeed right back here.
    I don't know if you already solved it, but I have faith in what it's said in this other site. Can make a bit of sense...

  10. #10

    Default Re: cannot run Scilab

    Quote Originally Posted by kalten View Post
    It is (at least for me). Nice job ierturk!

    Thanks,
    Hi Kalten, Sounds good. Thanks.

    Ibrahim

Page 1 of 4 123 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •